Skip to main content
POST
/
v1
/
table
/
{id}
/
insert
Insert records into a table
curl --request POST \
  --url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/insert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.apache.arrow.stream' \
  --data '"<string>"'
{
  "transaction_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

mode
string
default:append

How the insert should behave. Case insensitive, supports both PascalCase and snake_case. Valid values are:

  • Append (default): insert data to the existing table
  • Overwrite: remove all data in the table and then insert data to it

Body

application/vnd.apache.arrow.stream

Arrow IPC stream containing the records to insert

The body is of type file.

Response

Result of inserting records into a table

Response from inserting records into a table

transaction_id
string

Optional transaction identifier